// 升级任务管理相关接口
import request from '../index'

// 列表
export function getTaskListPage(data: any) {
  return request({
    url: `/device/upgrade/task/list-page?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 新建
export function addTask(data: any) {
  return request({
    url: `/device/upgrade/task/add`,
    method: 'post',
    data,
  })
}
// // 更新
// export function updatePackage(data: any) {
//   return request({
//     url: `/device/version/update`,
//     method: 'post',
//     data,
//   })
// }
// 删除
export function deleteTask(ids: string[]) {
  return request({
    url: `/device/upgrade/task/delete`,
    method: 'post',
    data:{
      ids
    },
  })
}
